swThermalConductivity {oce} | R Documentation

## Seawater thermal conductivity

### Description

Compute seawater thermal conductivity, in W/(m*degC)

### Usage

    swThermalConductivity(salinity, temperature = NULL, pressure = NULL)

### Arguments

`salinity` | salinity [PSU], or a `ctd` object, in which case `temperature` and `pressure` will be ignored.
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]

### Details

Caldwell's (1974) detailed formulation is used. To be specific, his equation 6 to calculate K, and his two sentences above that equation are used to infer this to be K(0,T,S) in his notation of equation 7. Then, application of his equations 7 and 8 is straightforward. He states an accuracy for this method of 0.3 percent. (See the check against his Table 1 in the “Examples”.)

### Value

Conductivity of seawater in W/(m*degC).

To calculate thermal diffusivity in m^2/s, divide by the product of density and specific heat, as in the example.

### Author(s)

Dan Kelley

### References

Caldwell, Douglas R., 1974. Thermal conductivity of seawater, Deep-sea Research, 21, 131-137.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swTSrho`, `swTheta`, `swViscosity`, `swZ`

### Examples

    library(oce)
    # Values in m^2/s, a unit that is often used instead of W/(m*degC).
    swThermalConductivity(35, 10, 100) / (swRho(35,10,100) * swSpecificHeat(35,10,100)) # ocean
    swThermalConductivity(0, 20, 0) / (swRho(0, 20, 0) * swSpecificHeat(0, 20, 0)) # lab
    # Caldwell Table 1 gives 1478e-6 cal/(cm*sec*degC) at 31.5 o/oo, 10degC, 1kbar
    joulePerCalorie <- 4.18400
    cmPerM <- 100
    swThermalConductivity(31.5,10,1000) / joulePerCalorie / cmPerM

[Package oce version 0.9-22 Index]